[
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'XYBarChartTimePeriodReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"d33f9050-f9c2-4b34-9a27-19df6d1add51\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"027b22da-3b15-4dfa-83c2-9becaa70d482\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"a66591ab-f89a-427f-a327-73f58c82c2b0\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"xyBar\" uuid=\"6880ddee-d5d1-45d4-8460-33e417584f96\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"timePeriod\" resetGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<startDateExpression>$F{OrderDate}</startDateExpression>\n\t\t\t\t\t\t\t<endDateExpression>$F{ShippedDate}</endDateExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} / 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<startDateExpression>$F{OrderDate}</startDateExpression>\n\t\t\t\t\t\t\t<endDateExpression>$F{ShippedDate}</endDateExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight}</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<startDateExpression>$F{OrderDate}</startDateExpression>\n\t\t\t\t\t\t\t<endDateExpression>$F{ShippedDate}</endDateExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} * 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showTickMarks=\"true\" showTickLabels=\"true\">\n\t\t\t\t\t\t<itemLabel color=\"#000000\" backgroundColor=\"#FFFFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"28d81aaa-2b80-4590-b26a-7d483e14adee\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"0f418867-309c-425c-b7c2-f15c80892d7d\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"7da4af1e-ef08-4f9f-90be-164d8771cd2b\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"b419c562-20e8-4176-ab77-3da03c8185e0\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"7457c91c-6779-4b97-a54c-3f98f121d3f1\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'XYBarChartTimePeriodReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'XYBarChartTimePeriodReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"d33f9050-f9c2-4b34-9a27-19df6d1add51\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"027b22da-3b15-4dfa-83c2-9becaa70d482\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"a66591ab-f89a-427f-a327-73f58c82c2b0\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"xyBar\" uuid=\"6880ddee-d5d1-45d4-8460-33e417584f96\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"timePeriod\" resetGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<startDateExpression>$F{OrderDate}</startDateExpression>\n\t\t\t\t\t\t\t<endDateExpression>$F{ShippedDate}</endDateExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} / 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<startDateExpression>$F{OrderDate}</startDateExpression>\n\t\t\t\t\t\t\t<endDateExpression>$F{ShippedDate}</endDateExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight}</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<startDateExpression>$F{OrderDate}</startDateExpression>\n\t\t\t\t\t\t\t<endDateExpression>$F{ShippedDate}</endDateExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} * 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showTickMarks=\"true\" showTickLabels=\"true\">\n\t\t\t\t\t\t<itemLabel color=\"#000000\" backgroundColor=\"#FFFFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"28d81aaa-2b80-4590-b26a-7d483e14adee\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"0f418867-309c-425c-b7c2-f15c80892d7d\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"7da4af1e-ef08-4f9f-90be-164d8771cd2b\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"b419c562-20e8-4176-ab77-3da03c8185e0\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"7457c91c-6779-4b97-a54c-3f98f121d3f1\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'XYBarChartTimePeriodReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]